org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCachePartitionMapping

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.cache.ClientCachePartitionMapping

    public class ClientCachePartitionMapping
    extends Object

Cache partition mapping.

### Constructor Summary

Constructors
Constructor and Description
`ClientCachePartitionMapping(int cacheId, AffinityAssignment assignment)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCompatible(ClientCachePartitionMapping another)` Check if the mapping is compatible to another one.
`void` `write(BinaryRawWriter writer)` Write mapping using binary writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientCachePartitionMapping

    public ClientCachePartitionMapping(int cacheId,
                                       AffinityAssignment assignment)

Parameters:
  `cacheId` - Cache ID.
  `assignment` - Affinity assignment.

### Method Detail

#### write

    public void write(BinaryRawWriter writer)

Write mapping using binary writer.

Parameters:
  `writer` - Writer.

#### isCompatible

    public boolean isCompatible(ClientCachePartitionMapping another)

Check if the mapping is compatible to another one.

Parameters:
  `another` - Another mapping.
Returns:
  True if compatible.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022